'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = persist;

var _constants = require('./constants');

/**
 * Persist a callback function so it can be called multiple times
 */
function persist(func) {
  return {
    type: _constants.TYPE_PERSISTED_FUNCTION,
    func: func,
    dispose: function dispose() {
      this.listeners.forEach(function (listener) {
        return listener();
      });
    },

    listeners: []
  };
}
//# sourceMappingURL=persist.js.map